Subject: Re: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Michael Albinus <[email-masked]>
Date: Fri, 11 Jul 2014 11:15:14 +0200

Stefan Monnier <[email-masked]> writes:

>> Well, I've tried this 'cos I believe it is important.  The idea is to
>> give the prompt in read-passwd the text property 'hide-chars.  In
>> noninteractive mode, emacs writes "." instead of echoing the password
>> while typing. You can test it with
>
> I think a more idiomatic way to do that would be to use a global Lisp
> var that's let-bound in read-passwd.

OK. There is now `read-hide-char', which triggers it. Users can let-bind
it to the character they prefer for hiding. This will be used in
`read-passwd', choosing the default ?. if it is not let-bound already.

>> +      else if (hide_chars && (c == 127)) /* DEL */
>> +	{
>> +	  /* Unfortunately, we cannot edit stdout.  */
>> +	  // fprintf (stdout, "%c", c);
>> +	  /* Hmm, this doesn't work for multi-byte characters.  */
>> +	  (len > 0) && len--;
>> +	}
>
> I don't think that's worth the trouble.

I've removed this.

The patch is committed to the trunk as revision 117510.

>         Stefan

Best regards, Michael.